Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.velocity.context
Class VelocityTilesRequestContext

    java.lang.Object
      org.apache.tiles.context.TilesRequestContextWrapper
          org.apache.tiles.velocity.context.VelocityTilesRequestContext

All Implemented Interfaces:
  TilesRequestContext

    public class VelocityTilesRequestContext

extends TilesRequestContextWrapper

The implementation of the Tiles request context specific for Velocity.

Since:
  2.2.0
Version:
  $Rev: 769961 $ $Date: 2009-04-30 00:07:34 +0200 (gio, 30 apr 2009) $

Constructor Summary
`VelocityTilesRequestContext(TilesRequestContext enclosedRequest, org.apache.velocity.context.Context ctx, java.io.Writer writer)` Constructor.

Method Summary
`void` | `dispatch(java.lang.String path)` Dispatches the request to a specified path.
`java.io.PrintWriter` | `getPrintWriter()` Returns a print writer to be used to write directly in the response.
`java.lang.Object[]` | `getRequestObjects()` Returns the original request objects used to create this request.
`java.io.Writer` | `getWriter()` Returns a writer to be used to write directly in the response.
`void` | `include(java.lang.String path)` Includes the response from the specified URL in the current response output.

Methods inherited from class org.apache.tiles.context.TilesRequestContextWrapper
`getApplicationContext, getHeader, getHeaderValues, getOutputStream, getParam, getParamValues, getRequest, getRequestLocale, getRequestScope, getResponse, getSessionScope, getWrappedRequest, isResponseCommitted, isUserInRole, setContentType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityTilesRequestContext

    public VelocityTilesRequestContext(TilesRequestContext enclosedRequest,
                                       org.apache.velocity.context.Context ctx,
                                       java.io.Writer writer)

  Constructor.

  Parameters:
    `enclosedRequest` - The request that exposes non-Velocity specific properties
    `ctx` - The Velocity current context.
    `writer` - The writer to use to render the response. It may be null, if not necessary.
  Since:
    2.2.0

Method Detail

### dispatch

    public void dispatch(java.lang.String path)
                  throws java.io.IOException

  Dispatches the request to a specified path.

  Specified by:
    `dispatch` in interface `TilesRequestContext`
  Overrides:
    `dispatch` in class `TilesRequestContextWrapper`
  Parameters:
    `path` - The path to dispatch to.
  Throws:
    `java.io.IOException` - If something goes wrong during dispatching.

### include

    public void include(java.lang.String path)
                 throws java.io.IOException

  Includes the response from the specified URL in the current response output.

  Specified by:
    `include` in interface `TilesRequestContext`
  Overrides:
    `include` in class `TilesRequestContextWrapper`
  Parameters:
    `path` - The path to include.
  Throws:
    `java.io.IOException` - If something goes wrong during inclusion.

### getPrintWriter

    public java.io.PrintWriter getPrintWriter()
                                       throws java.io.IOException

  Returns a print writer to be used to write directly in the response.

  Specified by:
    `getPrintWriter` in interface `TilesRequestContext`
  Overrides:
    `getPrintWriter` in class `TilesRequestContextWrapper`
  Returns:
    The print writer that writes in the response.
  Throws:
    `java.io.IOException` - If something goes wrong when getting the print writer.

### getWriter

    public java.io.Writer getWriter()
                             throws java.io.IOException

  Returns a writer to be used to write directly in the response.

  Specified by:
    `getWriter` in interface `TilesRequestContext`
  Overrides:
    `getWriter` in class `TilesRequestContextWrapper`
  Returns:
    The writer that writes in the response.
  Throws:
    `java.io.IOException` - If something goes wrong when getting the writer.

### getRequestObjects

    public java.lang.Object[] getRequestObjects()

  Returns the original request objects used to create this request.

  Specified by:
    `getRequestObjects` in interface `TilesRequestContext`
  Overrides:
    `getRequestObjects` in class `TilesRequestContextWrapper`
  Returns:
    The request objects.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.